DELETETH(3)

NAME
deleteTH - removes an item in a hash table.

SYNOPSYS
#include "logmmm.h"
int deleteTH(pTable,key)
pTH pTable;
char *key;

PARAMETERS

pTable
    Hash table.

key Key used by the hash coding function.

DESCRIPTION
deleteTH() removes an item in pTable. If the key doesn't exist, the function returns EMPTYTH, if it does then its associated value.

EXAMPLE
#include "mutnnn.h"
#include "logmmm.h"
pTH mytable;
int val;
mytable = createTH(100);
addTH(mytable,namealloc("var1"),0);
addTH(mytable,namealloc("var2"),1);
val = deleteTH(mytable,namealloc("var1"));
	/* val = 0 */
val = deleteTH(mytable,namealloc("var3"));
	/* val = -1  EMPTYTH */
val = deleteTH(mytable,namealloc("var2"));
	/* val = 1 */
	/* mytable is empty */

SEE ALSO
log(1), tsh(1), createTH(3), destroyTH(3), searchTH(3), addTH(3), displayTH(3).